Page MenuHomePhabricator

Ensure users can navigate image cards via keyboard
Closed, ResolvedPublic

Description

Currently, with OOUI tabs behavior, focus on image cards lands on the "skip" link as this is the first non-disabled link. We need to change tag elements to be focusable items so users can tab through them before hitting the action links.

QA Results

ACStatusDetails
1T234357#5686149

Event Timeline

AnneT created this task.Oct 1 2019, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2019, 6:15 PM

Change 540480 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@master] Enable keyboard navigation and refactor to single SuggestionWidget

https://gerrit.wikimedia.org/r/540480

Change 540480 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Enable keyboard navigation and refactor to single SuggestionWidget

https://gerrit.wikimedia.org/r/540480

AnneT moved this task from In development to Done on the MachineVision board.Oct 15 2019, 8:51 PM
Ramsey-WMF reassigned this task from AnneT to Edtadros.Nov 14 2019, 11:50 PM
Edtadros reassigned this task from Edtadros to Ramsey-WMF.EditedNov 23 2019, 1:33 AM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Catalina
Browser: Chrome
Device: MBP

Test Artifact(s):
✅ AC1: Tag elements should be focusable so users can tab through them.

Edtadros updated the task description. (Show Details)Nov 23 2019, 1:34 AM
Ramsey-WMF closed this task as Resolved.Dec 13 2019, 10:54 PM

Tested on production. Tab order starts with the links at the beginning of the page and goes to the tags (which can be selected with a tap of the Enter key)